Subject: bug#62300: 29.0.60; No hyperlinks for some symbols in *Help* buffers

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Mar 2023 20:23:03 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 21 Mar 2023 13:59:50 -0400
> 
> > The latter means a regression, since symbols mentioned in the doc
> > string of text-scale-adjust will not be buttonized, like symbols in
> > the doc string of global-text-scale-adjust aren't now.  I'd like to
> > find a solution that would cause symbols in both doc strings to be
> > buttonized (autoloading the defcustom does).
> 
> The difference between the two use cases is largely accidental (due to
> details of how the definition-prefixes functionality works).  I don't
> think tweaking the definition-prefixes would be wise way to solve
> this problem.
> 
> (describe-function 'text-scale-adjust) suffers from the same "problem".
> We have not treated this as a problem until now, but if we want to treat
> it as a problem, then I suggest we do it by refining the way
> `help-enable-autoload` works.
> 
> E.g. with the patch below.

Thanks.  Do you consider this safe enough for the emacs-29 branch?